<form [formGroup]="registerForm" (ngSubmit)="onSubmit()" autocomplete="off">
  <div class="ui-grid">

    <div class="ui-g-12">
      <h2>{{ isCadastro ? 'Cadastro de Dívida' : 'Editar Dívida' }}</h2>
    </div>

    <div class="ui-g-12">
      <label formGroupName="usuario">
        Usuário
        <p-dropdown formControlName="id" [options]="usuarios" [ngClass]="{ 'is-invalid': valid('id') }"></p-dropdown>
        <app-valid-feedback [show]="valid('id')" [element]="f['usuario']['controls']['id']"></app-valid-feedback>
      </label>
    </div>

    <div class="ui-g-12">
      <label>
        Motivo
        <input formControlName="motivo" [ngClass]="{ 'is-invalid': valid('motivo') }" pInputText>
        <app-valid-feedback [show]="valid('motivo')" [element]="f.motivo"></app-valid-feedback>
      </label>
    </div>

    <div class="ui-g-12">
      <label>
        Valor
        <input
          formControlName="valor"
          pInputText
          currencyMask
          [options]="{ align: 'left', prefix: 'R$ ', thousands: '.', decimal: ',' }"
          [ngClass]="{ 'is-invalid': valid('valor') }">
        <app-valid-feedback [show]="valid('valor')" [element]="f.valor"></app-valid-feedback>
      </label>
    </div>

    <div class="ui-g-12">
      <label>
        Data
        <p-calendar formControlName="data" dateFormat="dd/mm/yy" [ngClass]="{ 'is-invalid': valid('data') }"></p-calendar>
        <app-valid-feedback [show]="valid('data')" [element]="f.data"></app-valid-feedback>
      </label>
    </div>

    <div class="ui-g-12 right" style="text-align: right;">
      <p-button type="button" label="Cancelar" styleClass="ui-button-secondary" (click)="cancelar()"></p-button>
      <p-button type="button" label="Excluir" styleClass="ui-button-danger" (click)="excluir()" *ngIf="!isCadastro"></p-button>
      <p-button label="Salvar"></p-button>
    </div>
  </div>
</form>
